From 46d10fab1774a6101c9f164fe3dc6ce61a74768c Mon Sep 17 00:00:00 2001
From: Tony Espy <espy@canonical.com>
Date: Wed, 17 Sep 2014 17:10:53 -0400
Subject: UrfDeviceOfono: fix improper usage of GError

Fix improper usage of GError, by ensuring that
*error is initialized to NULL before using it in
g_dbus_proxy_call_finish().

diff --git a/src/urf-device-ofono.c b/src/urf-device-ofono.c
index 0bbfe08..200c645 100644
--- a/src/urf-device-ofono.c
+++ b/src/urf-device-ofono.c
@@ -188,7 +188,7 @@ set_online_cb (GObject *source_object,
 	UrfDeviceOfono *modem = URF_DEVICE_OFONO (user_data);
 	UrfDeviceOfonoPrivate *priv = URF_DEVICE_OFONO_GET_PRIVATE (modem);
 	GVariant *result;
-	GError *error;
+	GError *error = NULL;
 	gint code = 0;
 
 	result = g_dbus_proxy_call_finish (priv->proxy, res, &error);
